Import-Module StarWindX

#clear
Write-Host "Testclaster1:" -foreground yellow
try
{
	$server = New-SWServer Testclaster1 3261 root starwind

	$server.Connect()
    
	write-host "Targets:" -foreground yellow
	foreach($target in $server.Targets)
	{
		$target
        write-host "Initiators connected:"
        $server.GetInitiators($target.id)
	}
    
	write-host "Devices:" -foreground yellow
	foreach($device in $server.Devices)
	{
		$device
	}
}
catch
{
	Write-Host $_ -foreground red
}
finally
{    
	$server.Disconnect()
}
write-host "Testclaster2:" -foreground yellow
try
{
	$server = New-SWServer Testclaster2 3261 root starwind

	$server.Connect()

	write-host "Targets:" -foreground yellow
	foreach($target in $server.Targets)
	{
		$target
        write-host "Initiators connected:"
        $server.GetInitiators($target.id)
	}
    
	write-host "Devices:" -foreground yellow
	foreach($device in $server.Devices)
	{
		$device
	}
}
catch
{
	Write-Host $_ -foreground red
}
finally
{    
	$server.Disconnect()
}
